extdesc="the Subversion"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

echo ${BASH_SOURCE}
echo ${full_setup%/*}

source cascade-make/lib/cascade-lib.bash

if [ "x$GEXTSVN" = "x" ] ; then
  export GEXTSVN=$fulldir
  export GEXTSVN_INSTALLED=$GEXTSVN/$GSDLOS

  export PATH=$GEXTSVN_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi

  extdir=${GEXTSVN##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi